---------------------------------------------------------------
--
--        Automatic VHDL Testbench Generation
--        ===================================
--
-- Generated by HDL Turbo Writer on 11/22/95 at 17:05:06
--
---------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
library exemplar;
use exemplar.exemplar_1164.all;


ENTITY vramptest IS
END vramptest;

library ieee;
use ieee.std_logic_1164.all;
library exemplar;
use exemplar.exemplar_1164.all;
use std.textio.all;

ARCHITECTURE HTWvramptest OF vramptest IS

-- Component instantiated by Turbo autoplace on 02/08/96 at 14:35:20
COMPONENT vramp

    generic ( wlength :integer := 512; width : integer := 8; sr_size : integer :=512;
              asize : integer :=9
              );
    port (
-- these activate saveing and loading mem
		save_flag,load_flag : std_logic:='0'; -- 1 for save, 1 for load
			  save_fname,load_fname : string(1 to 12);  -- bypass port file names for save, load
              rowa,cola : integer :=0;
              cnt : integer := wlength*sr_size;

		a : in std_logic_vector(asize-1 downto 0);
        not_ras,not_cas,not_we,dsf,not_dtoe,sc,not_se : in std_logic;
		data : inout std_logic_vector(width-1 downto 0):="ZZZZZZZZ";
		qsf : out std_logic;	
		sio : inout std_logic_vector(width-1 downto 0):="ZZZZZZZZ"	
   );
END COMPONENT;


constant wlength :integer := 512;
constant width : integer := 8;
constant sr_size : integer :=256;
constant  asize : integer :=9;
                       
		SIGNAL a :  std_logic_vector(asize-1 downto 0);
        SIGNAL not_ras,not_cas,not_we,dsf,not_dtoe,sc,not_se :  std_logic;
		SIGNAL data :  std_logic_vector(width-1 downto 0);
		SIGNAL  qsf : Std_logic;
		SIGNAL sio :  std_logic_vector(width-1 downto 0)	;
		SIGNAL  row,col,din : integer:=0;
		signal write,read : std_logic :='0';
        signal dout : integer;
        SIGNAL  save_flag,load_flag : Std_logic:='0';
signal load_fname  : string(1 to 12) := "vramr.tab   ";
signal save_fname  : string(1 to 12) := "vramw.tab   ";
signal rowa,cola : integer :=0;
signal cnt : integer := wlength*sr_size;

   
BEGIN


    U1 : vramp
		GENERIC MAP (wlength =>  512,
		             width =>  8,
		             sr_size => 512,
		             asize => 9
		)
		PORT MAP (
            save_flag => save_flag,
            load_flag => load_flag,
					 save_fname => save_fname,
					 load_fname => load_fname,
					 rowa=>rowa,
					 cola=>cola,
					 cnt=>cnt,
                
		          a => a,
		          not_ras => not_ras,
		          not_cas => not_cas,
		          not_we => not_we,
		          dsf => dsf,
                  qsf => qsf,
		          not_dtoe => not_dtoe,
		          sc => sc,
		          not_se => not_se,
		          data => data,
		          sio => sio);

END HTWvramptest;
